Stablecoin payroll & payroll admin
Adjust ADP Deductions
Name and signature indicate it changes adjust adp deductions
POSThttps://api.toku.com/stablecoin-payroll/adjust-adp-deductions
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/adjust-adp-deductions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tokenPayrollID": "string",
"adjustments": [
{
"externalEmployeeID": "string",
"targetFiatAmount": 0
}
]
}'200 response
{
"success": true,
"adjustedCount": 0,
"results": [
{
"externalEmployeeID": "string",
"contributorName": "string",
"previousFiatAmount": 0,
"newFiatAmount": 0,
"settlementsRemoved": 0,
"settlementsAdjusted": 0
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
tokenPayrollIDstringrequiredadjustmentsobject[]requiredShow child attributes
externalEmployeeIDstringrequiredtargetFiatAmountnumberrequiredResponse
200Successful response
successbooleanrequiredadjustedCountintegerrequiredresultsobject[]requiredShow child attributes
externalEmployeeIDstringrequiredcontributorNamestringrequiredpreviousFiatAmountnumberrequirednewFiatAmountnumberrequiredsettlementsRemovedintegerrequiredsettlementsAdjustedintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits